[package]
name = "harmony_macros"
edition = "2024"
version.workspace = true
readme.workspace = true
license.workspace = true

[lib]
proc-macro = true

[dependencies]
harmony_types = { path = "../harmony_types" }
quote = "1.0.37"
serde = "1.0.217"
serde_yaml = "0.9.34"
syn = "2.0.90"

[dev-dependencies]
serde = { version = "1.0.217", features = ["derive"] }
